Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[XEN] Mise à jour madwifi
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
floc_12
Apprentice
Apprentice


Joined: 28 Jun 2006
Posts: 191

PostPosted: Tue Oct 28, 2008 7:16 pm    Post subject: [XEN] Mise à jour madwifi Reply with quote

Bonjour,

Après avoir laissé dormir ma gentoo plusieurs mois, j'ai décidé de la remettre à jour, mais je bloque sur le paquet madwifi :

Quote:
>>> Emerging (1 of 50) net-wireless/madwifi-ng-0.9.4 to /
* madwifi-0.9.4.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking madwifi-0.9.4.tar.bz2 ;-) ... [ ok ]
* Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Found sources for kernel version:
* 2.6.18-xen-r12
* Checking for suitable kernel configuration options...
* madwifi-ng-0.9.4 requires CONFIG_WIRELESS_EXT selected by Wireless LAN drivers (non-hamradio) & Wireless Extensions
* requires CONFIG_KMOD to be set to y or m
* Please check to make sure these options are set correctly.
* Failure to do so may cause unexpected problems.
* Once you have satisfied these options, please try merging
* this package again.
*
* ERROR: net-wireless/madwifi-ng-0.9.4 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* madwifi-ng-0.9.4.ebuild, line 33: Called linux-mod_pkg_setup
* linux-mod.eclass, line 474: Called linux-info_pkg_setup
* linux-info.eclass, line 613: Called check_extra_config
* linux-info.eclass, line 511: Called die
* The specific snippet of code:
* die "Incorrect kernel configuration options"
* The die message:
* Incorrect kernel configuration options
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/net-wireless/madwifi-ng-0.9.4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/net-wireless/madwifi-ng-0.9.4/temp/die.env'.
*

* Messages for package net-wireless/madwifi-ng-0.9.4:

* madwifi-ng-0.9.4 requires CONFIG_WIRELESS_EXT selected by Wireless LAN drivers (non-hamradio) & Wireless Extensions
* requires CONFIG_KMOD to be set to y or m
* Please check to make sure these options are set correctly.
* Failure to do so may cause unexpected problems.
* Once you have satisfied these options, please try merging
* this package again.
*
* ERROR: net-wireless/madwifi-ng-0.9.4 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* madwifi-ng-0.9.4.ebuild, line 33: Called linux-mod_pkg_setup
* linux-mod.eclass, line 474: Called linux-info_pkg_setup
* linux-info.eclass, line 613: Called check_extra_config
* linux-info.eclass, line 511: Called die
* The specific snippet of code:
* die "Incorrect kernel configuration options"
* The die message:
* Incorrect kernel configuration options
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/net-wireless/madwifi-ng-0.9.4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/net-wireless/madwifi-ng-0.9.4/temp/die.env'.


J'ai donc compris que mon noyau était mal configuré et qu'il fallait le recompiler (même si ma carte wifi fonctionnait plutôt bien).
J'ai activé plusieurs modules dans le make menuconfig, mais j'obtiens toujours l'erreur ci-dessous lorsque je veux commencer la compil :

Quote:
# make && make modules_install
scripts/kconfig/conf -s arch/i386/Kconfig
CHK include/linux/version.h
CHK include/linux/utsrelease.h
CC arch/i386/kernel/asm-offsets.s
arch/i386/kernel/asm-offsets.c: In function 'foo':
arch/i386/kernel/asm-offsets.c:79: warning: asm operand 0 probably doesn't match constraints
arch/i386/kernel/asm-offsets.c:79: error: impossible constraint in 'asm'
make[1]: *** [arch/i386/kernel/asm-offsets.s] Error 1
make: *** [prepare0] Error 2


Avez vous une idée d'ou peut provenir cette erreur ? Je ne trouve pas vraiment de solution sur le net, et je dois etre un peu rouillé :oops:

NB : Pour info, mon noyau est un 2.6.20 xen

Merci de votre aide.

Cc
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Tue Oct 28, 2008 7:24 pm    Post subject: Reply with quote

Moved from Kernel & Hardware to French.
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
floc_12
Apprentice
Apprentice


Joined: 28 Jun 2006
Posts: 191

PostPosted: Tue Oct 28, 2008 7:25 pm    Post subject: Reply with quote

oh, i am sorry :wink:
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Oct 29, 2008 8:10 am    Post subject: Reply with quote

'alute
Tu précises que
floc_12 wrote:
NB : Pour info, mon noyau est un 2.6.20 xen

pourtant ton symlink /usr/src/linux pointe vers un kernel plus ancien
Code:
(snip)
* /usr/src/linux
* Found sources for kernel version:
* 2.6.18-xen-r12
(snip)

Est-ce une erreur de frappe ? sinon ton pb vient sans doute de là :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
floc_12
Apprentice
Apprentice


Joined: 28 Jun 2006
Posts: 191

PostPosted: Sun Nov 02, 2008 9:39 pm    Post subject: Reply with quote

Bonjour,

et désolé du petit retard.
Merci Boozo, c'était effectivement le problème, mon lien pointait vers un mauvais dossier (m'en suis rendu compte juste après avoir posté). Une erreur vraiment de débutant !!!!

Une mise a jour précédente a t'elle pu modifier ce lien, car il ne me semble pas avoir modifié ça moi même auparavant ?

Merci.

cc
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Mon Nov 03, 2008 8:50 am    Post subject: Reply with quote

bah de rien :wink:

Sinon pour ta question : oui, si tu as utilisé eselect pour sélectionner le nouveau noyau ou si tu as fait un make install depuis les nouvelles sources

Edit: au fait... penses à éditer ton premier post pour ajouter selon nos convention un (Résolu) à la fin du titre
merci ^^
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum